Subject: Re: git rebase -i <first_commit_in_repository>

From: Dirk Süsserott <[email-masked]>
Date: Wed, 28 Oct 2009 20:24:49 +0100

Am 26.10.2009 21:47 schrieb Allan Caffee:
> 2009/10/26 Dirk Süsserott <[email-masked]>:
>> Am 26.10.2009 19:08 schrieb eschvoca:
>> Hi,
>>
>> probably my approach could help you in the future: When I create a new repo
>> (git init) I firstly create an initial commit with nothing else than an
>> initial commit, i.e.:
>>
>> $ git init
>> $ echo "initial" > initial.commit
>> $ git add initial.commit
>> $ git commit -m "Initial commit"
> 
> I don't think this is actually necessary.  You should just be able to do:
> $ git init
> $ git commit --allow-empty -m "Initial commit (empty)"
> 

Allan,

that works great and is not as cumbersome as my solution.
Thank you!

Dirk